# Language should be added in the same order as in the language id
imports:
  - { resource: "EXT:drbeckmann_setup/Configuration/Routes/Default.yaml" }
  - { resource: "EXT:drbeckmann_products/Configuration/Routes/Default.yaml" }
  - { resource: "EXT:drbeckmann_api/Configuration/Routes/Default.yaml" }
rootPageId: 201
base: 'https://www.dr-beckmann.com/'
baseVariants:
  -
    base: 'https://qa.dr-beckmann.com/'
    condition: 'applicationContext == "Production/Integration"'
  -
    base: 'https://dev.dr-beckmann.com/'
    condition: 'applicationContext == "Development/Test"'
  -
    base: '%env(SITE_CONFIG_BASE_URL)%/'
    condition: 'applicationContext == "%env(SITE_CONFIG_APPLICATION_CONTEXT)%"'
deeplAuthKey: '326fe1f9-5259-4424-8322-21b005ab0652:fx'
errorHandling:
  -
    errorCode: 404
    errorHandler: Page
    errorContentSource: 't3://page?uid=253'
languages:
  -
    title: Master (not visible)
    enabled: false
    languageId: 0
    base: /master/
    typo3Language: en
    locale: en_US.utf8
    navigationTitle: English
    hreflang: en
    direction: ltr
    fallbackType: free
    flag: global
    pimProductCategoryStoragePid: 1662
    pimProductStoragePid: 257
    pimFaqStoragePid: 256
  -
    title: German
    enabled: true
    languageId: 1
    base: /de-de/
    locale: de_DE.utf8
    navigationTitle: German
    hreflang: de-DE
    direction: ltr
    fallbackType: free
    flag: de
    deeplSourceLang: DE
    websiteTitle: ''
    pimProductStoragePid: 257
  -
    title: French
    enabled: true
    languageId: 2
    base: /fr-fr/
    locale: fr_FR.utf8
    navigationTitle: French
    hreflang: fr-FR
    direction: ltr
    fallbackType: free
    flag: fr
    pimProductStoragePid: 134
    deeplTargetLang: FR
    websiteTitle: ''
    fallbacks: ''
  -
    title: Portuguese
    enabled: true
    languageId: 3
    base: /pt-pt/
    locale: pt_PT.utf8
    navigationTitle: Portuguese
    hreflang: pt-PT
    direction: ltr
    flag: pt
    fallbackType: free
    deeplTargetLang: PT
    pimProductStoragePid: 746
  -
    title: Spanish
    enabled: true
    languageId: 4
    base: /es-es/
    locale: es_ES.utf8
    navigationTitle: Spanish
    hreflang: es-ES
    direction: ltr
    flag: es
    fallbackType: free
    deeplTargetLang: ES
    pimProductStoragePid: 1836
  -
    title: Polish
    enabled: true
    languageId: 5
    base: /pl-pl/
    locale: pl_PL.utf8
    navigationTitle: Polish
    hreflang: pl-PL
    direction: ltr
    flag: pl
    fallbackType: free
    deeplTargetLang: PL
    pimProductStoragePid: 1840
  -
    title: Netherlands
    enabled: true
    languageId: 6
    base: /nl-nl/
    locale: nl_NL.utf8
    navigationTitle: Netherlands
    hreflang: nl-NL
    direction: ltr
    flag: nl
    fallbackType: free
    deeplTargetLang: NL
    pimProductStoragePid: 1838
  -
    title: Italian
    enabled: true
    languageId: 7
    base: /it-it/
    locale: it_IT.utf8
    navigationTitle: Italian
    hreflang: it-IT
    direction: ltr
    flag: it
    fallbackType: free
    deeplTargetLang: IT
    pimProductStoragePid: 1837
  -
    title: Danish
    enabled: false
    languageId: 8
    base: /da-dk/
    locale: da_DK.utf8
    navigationTitle: Danish
    hreflang: da-DK
    direction: ltr
    flag: dk
    fallbackType: free
    deeplTargetLang: DK
    pimProductStoragePid: 1899
  -
    title: Finnish
    enabled: false
    languageId: 9
    base: /fi-fi/
    locale: fi_FI.utf8
    navigationTitle: Finnish
    hreflang: fi-FI
    direction: ltr
    flag: fi
    fallbackType: free
    deeplTargetLang: FI
    pimProductStoragePid: 1900
  -
    title: Czech
    enabled: false
    languageId: 10
    base: /cs-cz/
    locale: cs_CZ.utf8
    navigationTitle: Czech
    hreflang: cs-CZ
    direction: ltr
    flag: cz
    fallbackType: free
    deeplTargetLang: CZ
    pimProductStoragePid: 1902
  -
    title: Middle East Arabic
    enabled: true
    languageId: 11
    base: /ar-ar/
    locale: ar_SA.utf8
    navigationTitle: العربية
    hreflang: ar-SA
    direction: rtl
    flag: sa
    fallbackType: free
    deeplTargetLang: AR
    pimProductStoragePid: 1901
  -
    title: Middle East Arabic English
    enabled: true
    languageId: 12
    base: /en-ar/
    locale: en_GB.utf8
    navigationTitle: English
    hreflang: en-GB
    direction: ltr
    flag: gb
    fallbackType: free
    deeplTargetLang: GB
    fallbacks: '11'
    pimProductStoragePid: 1901
routeEnhancers:
  ProductDetail:
    limitToPages:
      - 227
websiteTitle: ''

autotranslatePagesEnabled: true
autotranslatePagesFileReferences: ''
autotranslatePagesLanguages: '0,2,3,4,5,6,7,8,9,10,11,12'
autotranslatePagesTextfields: 'title, nav_title, subtitle, description, abstract, seo_title, drbeckmann_sitepackage_teaser_title, drbeckmann_sitepackage_teaser_text'
autotranslateSysFileReferenceTextfields: alternative
autotranslateTtContentEnabled: true
autotranslateTtContentFileReferences: ''
autotranslateTtContentLanguages: '0,2,3,4,5,6,7,8,9,10,11,12'
autotranslateTtContentTextfields: 'header, rowDescription, subheader, bodytext, target, accessibility_title, accessibility_bypass_text, table_caption, drbeckmann_customcontentelements_headline, drbeckmann_customcontentelements_stain_type_fat_title, drbeckmann_customcontentelements_stain_type_fat_tooltip, drbeckmann_customcontentelements_stain_type_fruit_title, drbeckmann_customcontentelements_stain_type_fruit_tooltip, drbeckmann_customcontentelements_stain_type_blood_title, drbeckmann_customcontentelements_stain_type_blood_tooltip, drbeckmann_customcontentelements_stain_type_ink_title, drbeckmann_customcontentelements_stain_type_ink_tooltip, drbeckmann_customcontentelements_stain_type_deo_title, drbeckmann_customcontentelements_stain_type_deo_tooltip, drbeckmann_customcontentelements_stain_type_oil_title, drbeckmann_customcontentelements_stain_type_oil_tooltip, drbeckmann_customcontentelements_stain_type_nature_title, drbeckmann_customcontentelements_stain_type_nature_tooltip, drbeckmann_customcontentelements_stain_type_office_title, drbeckmann_customcontentelements_stain_type_office_tooltip, drbeckmann_customcontentelements_subheading, drbeckmann_customcontentelements_description, drbeckmann_customcontentelements_link_label, drbeckmann_customcontentelements_quote_personal_name, drbeckmann_customcontentelements_quote_personal_position, drbeckmann_customcontentelements_video_id, drbeckmann_customcontentelements_link_label_optional'
